| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd_tune_result_t Struct Reference

Stores RF and DSP tuned frequencies. More...

`#include <uhd/types/tune_result.h>`

## Detailed Description

Stores RF and DSP tuned frequencies.

See uhd::tune_result_t for more details.

## Public Attributes
double | clipped_rf_freq
| Target RF frequency, clipped to be within system range.
double | target_rf_freq
| Target RF frequency, including RF FE offset.
double | actual_rf_freq
| Frequency to which RF LO is actually tuned.
double | target_dsp_freq
| Frequency the CORDIC must adjust the RF.
double | actual_dsp_freq
| Frequency to which the CORDIC in the DSP actually tuned.

## Member Data Documentation

## ◆ actual_dsp_freq

double uhd_tune_result_t::actual_dsp_freq

Frequency to which the CORDIC in the DSP actually tuned.

## ◆ actual_rf_freq

double uhd_tune_result_t::actual_rf_freq

Frequency to which RF LO is actually tuned.

## ◆ clipped_rf_freq

double uhd_tune_result_t::clipped_rf_freq

Target RF frequency, clipped to be within system range.

## ◆ target_dsp_freq

double uhd_tune_result_t::target_dsp_freq

Frequency the CORDIC must adjust the RF.

## ◆ target_rf_freq

double uhd_tune_result_t::target_rf_freq

Target RF frequency, including RF FE offset.

The documentation for this struct was generated from the following file:

- tune_result.h